Image Search Box

Image Search Box V3.0
Image Search BOX can search and download images on Internet with picture finder
and picture downloader. It also manages search results and supports image browse.
Get a free pictures search tool , search and download free pictures on Internet
Image Search Box V3.0
Image Search BOX is a Image Search and Management software that can search and download free images on Internet with internal picture finder and picture downloader.

This version targets scores of image sources and provides relevant, valid image search results in seconds. You just need to type a keyword,and then Image Search BOX will give one-click access to countless free images on Internet,such as funny image,celebrity image,anime image and any kind of image you like.

Image Search BOX can also manage image search results , arrange them under categories.It has internal image viewer, helps users to browse images and create image gallery .

You don't need to stop searching image when Image Search BOX is downloading image search results,because searching,downloading,
validating and browsing image can be at the same time .And Image Search BOX has options to filter sex image ,nude mage and porn image.
search free image on Internet with powerful picture finder
Internal image browser and viewer ... Easy to use
Preview image search results in a thumbnail list
Validate image search results, Download image...Extremely Fast
Start Now
Buy Now
Upgrade

System Requirements:*
Windows 95/98/Me/NT 4.0 Service Pack 6 /2000/XP
Pentium class processor with 32 MB of RAM
256-color display adaptor
30 MB free disk space
Internet Explorer 4.0 or later
800x600 display
Internet connection


Image Search Box Help

Image Search Box License Agreement

NO WARRANTY

 Image Search Box IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

Evaluation and Registration

 Image Search Box is not free software. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must pay registration fee.

The unregistered copy has the limit of amount of search results .

Distribution of the evaluation version

 You may copy the evaluation version of this software and documentation as you wish, and give exact copies of the original evaluation version to anyone, and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. But you should not charge or requesting donations for any such copies however made and from distributing the software and/or documentation with other products without the author's written permission.

Registered version

One registered copy of Image Search Box may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of Image Search Box through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.

See also:

  • How to Purchase


and picture downloader. It also manages search results and supports image browse.
Image Search Box V3.0
New features in a wide range of functional areas.
Get relevant, high quality free pictures ... fast!
Image Search Box places the most relevant result at the top of a result report generated in seconds and free of duplicates. Furthermore, with Image Search Box, searches and updates are carried out quickly so that you can spend more time browsing and less time searching.

Thumbnail list of search results
Always considered the easiest-to-use Internet pictures search tool, Image Search Box includes a thumbnail list of search results .It provides previews of result image helping the user to determine the relevancy of results before downloading them.

Validate results automatically
Image Search Box produces high quality result reports by automatically reporting broken links .

Internal pictures downloader
Image Search Box includes a internal pictures downloader , it can download at most 20 pictures at the same time . There are some pictures very difficult to download , that is why you often see broken images on IE. Because IE just try only once when downloading pictures , But with Image Search Box, you will not get broken image anymore . The Internal pictures downloader can resume downloading the pictures that are broken , it will automatically retry at most 16 times when downloading .

Sorter of results
Image Search Box includes an internal sorter , you can sort the image results by status,name, image url , homepage ,image type ,image pixels ,image size, update time ...

Internal Image viewer
Image Search Box includes an internal image viewer,support zoom, slide show ,set wallpaper and save image.

Manage the search results
Image Search Box is not just a searcher , it also manages the image search results for you . It saves all the results on your hard disk , you can load them as you like . And you also can set the category of every search , create your own image gallery .

Support many languages
Image Search Box support 69 languages , nearly include all the main languages in the world , such as English, French, German, Italian, Japanese, Portuguese, Spanish...

Safe search
Because search results may contain sex pictures ,nude or porn images , Image Search Box has options to filter this type of pictures , You can choose to filter them or not .


and picture downloader. It also manages search results and supports image browse.
Image Search Box V3.0
How to upgrade Image Search Box
  • Download the latest version of Image Search Box, and save it to disk. Download From here : http://www.fatesoft.com/picture/

  • Uninstall Image Search Box of previous version in Control panel-> 'add/remove programs'(All your image search results will Not be deleted). Before uninstalling, make sure that Image Search Box is Not running.

  • Install Image Search Box of new version in the same directory of previous version , and all your image search results of previous version will be loaded into new version automatically .


and picture downloader. It also manages search results and supports image browse.
Image Search Box V3.0
Keyword Input
search free image on Internet with powerful picture finder
Image Search Box places the most relevant result at the top of a result report generated in seconds and free of duplicates. Furthermore, with Image Search Box, searches and updates are carried out quickly so that you can spend more time browsing and less time searching.
Internal pictures Viewer
Internal image browser and viewer ... Easy to use
Image Search Box includes an internal image viewer,support zoom, slide show ,set wallpaper and save image.
Thumbnail List
Preview search results before downloading with a thumbnail list
Always considered the easiest-to-use Internet pictures search tool, Image Search Box includes a thumbnail list of search results .It provides previews of result image helping the user to determine the relevancy of results before downloading them.
Resume Form
Validate image search results, Download them...Extremely Fast
Image Search Box produces high quality result reports by automatically reporting broken links .It includes a internal pictures downloader , it can download at most 20 pictures at the same time . There are some pictures very difficult to download , that is why you often see broken images on IE. Because IE just try only once when downloading pictures , But with Image Search Box, you will not get broken image anymore . The Internal pictures downloader can resume downloading the pictures that are broken , it will automatically retry at most 16 times when downloading .


and picture downloader. It also manages search results and supports image browse.
How to Start a new search
1.Select a subject in the category window
1.Click the 'Create a new search' button of main toolbar

2. Input a search keyword in the 'New Search' Form

3. Click the 'Search Now' button to start searching


and picture downloader. It also manages search results and supports image browse.
How to download pics
(1)Method one
1.Double-click the item you want to download

2.Image Search Box will start to download it , the logo of item status will be blank

3.When Download image successfully , the logo of item status will be changed into a disk
(2) Method Two

Use pop-up menu of thumbnail-list window,select "Download Image" item to download images.


and picture downloader. It also manages search results and supports image browse.

How to save pics | registered version only
1.Select a subject item(keyword item or image item) , and then select pop-up menu -> Save to save images or thumbnails to local disk

2.Select an empty directory to store images


Image Search Box is distributed as Shareware. You can freely download and try it for 30 days.
If you find it useful and decide to keep it over 30-day evaluation period, you should pay the registration fee.
See also License agreement.

How To Order
Please visit our ordering web site:

www.fatesoft.com/picture/buy.htm

For more information, please contact sales@fatesoft.com.


Contact Us

 | Web Site
If you want to get the latest information about Image Search Box, please visit www.fatesoft.com/picture/
 | E-mail Support
Customer Service: support@fatesoft.com For orders : sales@fatesoft.com General Inquiries: admin@fatesoft.com
 | Mailing Address:
89 mortimer road filton Bristol bs34 7LH UK 21-1 xian lie south road Guangzhou 510060 CN